View Issue Details

IDProjectCategoryView StatusLast Update
15758Bug reportsSurvey editingpublic2020-08-12 10:10
Reportertpartner Assigned Togabrieljenik  
PrioritynormalSeveritypartial_block 
Status closedResolutionfixed 
Product Version4.0.x 
Target Version4.0.x 
Summary15758: Slider settings not saved
Description

When creating a multi-numeric with sliders, the slider settings are not saved correctly.

See screen-cast - https://screencast-o-matic.com/watch/cYV0I8v8gr

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.0.1
I will donate to the project if issue is resolvedNo
BrowserN/A
Database & DB-Versionmysqlnd 5.0.12
Server OS (if known)Windows 10
Webserver software & version (if known)Apache/2.4.39 (Win64)
PHP Version7.3.7

Activities

p_teichmann

p_teichmann

2020-03-02 17:16

administrator   ~56283

@tpartner This error was fixed by me a while back in another Ticket that was related to translations on attributes, please check this again.

tpartner

tpartner

2020-03-03 14:52

developer   ~56288

Last edited: 2020-08-10 16:17

@p_teichmann, the settings now seem to save but are not applied - see screenshots and attached .lss.

capture_3.png (9,507 bytes)   
capture_3.png (9,507 bytes)   
capture_2.png (34,144 bytes)   
capture_2.png (34,144 bytes)   
gabrieljenik

gabrieljenik

2020-07-28 18:49

developer   ~59124

Last edited: 2020-08-10 16:17

Setting was saved. It was not shown correctly in the settings. Sending slider_showminmax variable to the view

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1504

user225042

2020-08-03 14:26

  ~59267

Last edited: 2020-08-10 16:17

Tested the issue before pulling the PR, Issue exist. Tested the issue after pulling the PR, below are my findings:
Screenshot 1: Settings of the Slider
Screenshot 2: Before pulling the PR, min and max values are not displayed
Screenshot 3: After pulling the PR, min and max values are displayed
I also tried other possible scenarios as well.
Please refer the attachment for more details

15758_SliderSettings.png (171,647 bytes)
gabrieljenik

gabrieljenik

2020-08-10 15:13

developer   ~59381

Last edited: 2020-08-10 16:17

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30355

lime_release_bot

lime_release_bot

2020-08-12 10:10

administrator   ~59434

Fixed in Release 4.3.10+200812

Related Changesets

LimeSurvey: master a849e665

2020-08-10 15:13:17

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 15758: Slider settings not saved (#1504)

Setting was saved. It was not shown correctly in the settings. Sending slider_showminmax variable to the view
Affected Issues
15758
mod - application/core/QuestionTypes/MultipleNumericalQuestion/RenderMultipleNumerical.php Diff File

Issue History

Date Modified Username Field Change
2020-01-23 14:59 tpartner New Issue
2020-01-23 14:59 tpartner Assigned To => cdorin
2020-01-23 14:59 tpartner Status new => assigned
2020-03-02 17:16 p_teichmann Status assigned => review
2020-03-02 17:16 p_teichmann Note Added: 56283
2020-03-03 14:52 tpartner File Added: limesurvey_survey_123488.lss
2020-03-03 14:52 tpartner File Added: capture_3.png
2020-03-03 14:52 tpartner File Added: capture_2.png
2020-03-03 14:52 tpartner Note Added: 56288
2020-07-09 16:42 cdorin Priority none => normal
2020-07-09 16:42 cdorin Status review => confirmed
2020-07-28 18:49 gabrieljenik Note Added: 59124
2020-08-03 14:26 user225042 Note Added: 59267
2020-08-03 14:26 user225042 File Added: 15758_SliderSettings.png
2020-08-10 15:13 gabrieljenik Changeset attached => LimeSurvey master a849e665
2020-08-10 15:13 gabrieljenik Note Added: 59381
2020-08-10 15:13 gabrieljenik Assigned To cdorin => gabrieljenik
2020-08-10 15:13 gabrieljenik Resolution open => fixed
2020-08-10 16:17 swendrich Status confirmed => resolved
2020-08-12 10:10 lime_release_bot Note Added: 59434
2020-08-12 10:10 lime_release_bot Status resolved => closed